Use this API to update an existing privilege object.
For a detailed explanation of a privilege object, see Create a Privilege.
Required Feature
A OneLogin subscription that includes Delegated Administration is required to use the privileges API.
Resource URL
PUT https://<subdomain>.onelogin.com/api/1/privileges/:idHeader Parameters
Authorization required string | Set to Set Generate the access token with the API credential pair created using the scope required to call this API. Call this API using the |
Content-Type required string | Set to application/json. |
Resource Parameter
id required string | Set to the |
Request Parameters
name required string | The name of this privilege |
description string | The description for this privilege |
privilege required object | An object containing statements that describe the level of access granted by this privilege.
|
Sample Request Body
Allow the following user actions on any user in OneLogin.{
"name": "User Administrator",
"description": "Can administer users",
"privilege": {
"Version": "2018-05-18",
"Statement": [{
"Effect": "Allow",
"Action": [
"users:Get",
"users:Unlock",
"users:ResetPassword",
"users:ForceLogout",
"users:Delete"
],
"Scope": ["*"]
}]
}
}
```html
<h2 id="sampleresponse">Sample Response</h2>
<div class="tab-group">
<ul class="tab-links">
<li class="t-link status-200 active" data-tab="1">200 OK</li>
<li class="t-link status-400" data-tab="2">400 Bad Request</li>
<li class="t-link status-401" data-tab="3">401 Unauthorized</li>
</ul>
<div class="tab-views">
<div class="t-view active" data-tab="1">
```json
{
"id": "5e43a548-e9c6-47be-9341-92160902f7a6"
}